org.apache.poi.xddf.usermodel.text

## Enum AutonumberScheme

- java.lang.Object
- - java.lang.Enum<AutonumberScheme>
  - - org.apache.poi.xddf.usermodel.text.AutonumberScheme

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AutonumberScheme>

      public enum AutonumberScheme
      extends java.lang.Enum<AutonumberScheme>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALPHABETIC_LOWERCASE_PARENTHESES_BOTH`
    `ALPHABETIC_LOWERCASE_PARENTHESIS_RIGHT`
    `ALPHABETIC_LOWERCASE_PERIOD`
    `ALPHABETIC_UPPERCASE_PARENTHESES_BOTH`
    `ALPHABETIC_UPPERCASE_PARENTHESIS_RIGHT`
    `ALPHABETIC_UPPERCASE_PERIOD`
    `ARABIC_1_MINUS`
    `ARABIC_2_MINUS`
    `ARABIC_DOUBLE_BYTE_PERIOD`
    `ARABIC_DOUBLE_BYTE_PLAIN`
    `ARABIC_PARENTHESES_BOTH`
    `ARABIC_PARENTHESIS_RIGHT`
    `ARABIC_PERIOD`
    `ARABIC_PLAIN`
    `CIRCLE_NUMBER_DOUBLE_BYTE_PLAIN`
    `CIRCLE_NUMBER_WINGDINGS_BLACK_PLAIN`
    `CIRCLE_NUMBER_WINGDINGS_WHITE_PLAIN`
    `EAST_ASIAN_CHINESE_SIMPLIFIED_PERIOD`
    `EAST_ASIAN_CHINESE_SIMPLIFIED_PLAIN`
    `EAST_ASIAN_CHINESE_TRADITIONAL_PERIOD`
    `EAST_ASIAN_CHINESE_TRADITIONAL_PLAIN`
    `EAST_ASIAN_JAPANESE_DOUBLE_BYTE_PERIOD`
    `EAST_ASIAN_JAPANESE_KOREAN_PERIOD`
    `EAST_ASIAN_JAPANESE_KOREAN_PLAIN`
    `HEBREW_2_MINUS`
    `HINDI_ALPHA_1_PERIOD`
    `HINDI_ALPHA_PERIOD`
    `HINDI_NUMBER_PARENTHESIS_RIGHT`
    `HINDI_NUMBER_PERIOD`
    `ROMAN_LOWERCASE_PARENTHESES_BOTH`
    `ROMAN_LOWERCASE_PARENTHESIS_RIGHT`
    `ROMAN_LOWERCASE_PERIOD`
    `ROMAN_UPPERCASE_PARENTHESES_BOTH`
    `ROMAN_UPPERCASE_PARENTHESIS_RIGHT`
    `ROMAN_UPPERCASE_PERIOD`
    `THAI_ALPHABETIC_PARENTHESES_BOTH`
    `THAI_ALPHABETIC_PARENTHESIS_RIGHT`
    `THAI_ALPHABETIC_PERIOD`
    `THAI_NUMBER_PARENTHESES_BOTH`
    `THAI_NUMBER_PARENTHESIS_RIGHT`
    `THAI_NUMBER_PERIOD`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AutonumberScheme` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AutonumberScheme[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALPHABETIC_LOWERCASE_PARENTHESES_BOTH

          public static final AutonumberScheme ALPHABETIC_LOWERCASE_PARENTHESES_BOTH

    - #### ALPHABETIC_LOWERCASE_PARENTHESIS_RIGHT

          public static final AutonumberScheme ALPHABETIC_LOWERCASE_PARENTHESIS_RIGHT

    - #### ALPHABETIC_LOWERCASE_PERIOD

          public static final AutonumberScheme ALPHABETIC_LOWERCASE_PERIOD

    - #### ALPHABETIC_UPPERCASE_PARENTHESES_BOTH

          public static final AutonumberScheme ALPHABETIC_UPPERCASE_PARENTHESES_BOTH

    - #### ALPHABETIC_UPPERCASE_PARENTHESIS_RIGHT

          public static final AutonumberScheme ALPHABETIC_UPPERCASE_PARENTHESIS_RIGHT

    - #### ALPHABETIC_UPPERCASE_PERIOD

          public static final AutonumberScheme ALPHABETIC_UPPERCASE_PERIOD

    - #### ARABIC_1_MINUS

          public static final AutonumberScheme ARABIC_1_MINUS

    - #### ARABIC_2_MINUS

          public static final AutonumberScheme ARABIC_2_MINUS

    - #### ARABIC_DOUBLE_BYTE_PERIOD

          public static final AutonumberScheme ARABIC_DOUBLE_BYTE_PERIOD

    - #### ARABIC_DOUBLE_BYTE_PLAIN

          public static final AutonumberScheme ARABIC_DOUBLE_BYTE_PLAIN

    - #### ARABIC_PARENTHESES_BOTH

          public static final AutonumberScheme ARABIC_PARENTHESES_BOTH

    - #### ARABIC_PARENTHESIS_RIGHT

          public static final AutonumberScheme ARABIC_PARENTHESIS_RIGHT

    - #### ARABIC_PERIOD

          public static final AutonumberScheme ARABIC_PERIOD

    - #### ARABIC_PLAIN

          public static final AutonumberScheme ARABIC_PLAIN

    - #### CIRCLE_NUMBER_DOUBLE_BYTE_PLAIN

          public static final AutonumberScheme CIRCLE_NUMBER_DOUBLE_BYTE_PLAIN

    - #### CIRCLE_NUMBER_WINGDINGS_BLACK_PLAIN

          public static final AutonumberScheme CIRCLE_NUMBER_WINGDINGS_BLACK_PLAIN

    - #### CIRCLE_NUMBER_WINGDINGS_WHITE_PLAIN

          public static final AutonumberScheme CIRCLE_NUMBER_WINGDINGS_WHITE_PLAIN

    - #### EAST_ASIAN_CHINESE_SIMPLIFIED_PERIOD

          public static final AutonumberScheme EAST_ASIAN_CHINESE_SIMPLIFIED_PERIOD

    - #### EAST_ASIAN_CHINESE_SIMPLIFIED_PLAIN

          public static final AutonumberScheme EAST_ASIAN_CHINESE_SIMPLIFIED_PLAIN

    - #### EAST_ASIAN_CHINESE_TRADITIONAL_PERIOD

          public static final AutonumberScheme EAST_ASIAN_CHINESE_TRADITIONAL_PERIOD

    - #### EAST_ASIAN_CHINESE_TRADITIONAL_PLAIN

          public static final AutonumberScheme EAST_ASIAN_CHINESE_TRADITIONAL_PLAIN

    - #### EAST_ASIAN_JAPANESE_DOUBLE_BYTE_PERIOD

          public static final AutonumberScheme EAST_ASIAN_JAPANESE_DOUBLE_BYTE_PERIOD

    - #### EAST_ASIAN_JAPANESE_KOREAN_PERIOD

          public static final AutonumberScheme EAST_ASIAN_JAPANESE_KOREAN_PERIOD

    - #### EAST_ASIAN_JAPANESE_KOREAN_PLAIN

          public static final AutonumberScheme EAST_ASIAN_JAPANESE_KOREAN_PLAIN

    - #### HEBREW_2_MINUS

          public static final AutonumberScheme HEBREW_2_MINUS

    - #### HINDI_ALPHA_1_PERIOD

          public static final AutonumberScheme HINDI_ALPHA_1_PERIOD

    - #### HINDI_ALPHA_PERIOD

          public static final AutonumberScheme HINDI_ALPHA_PERIOD

    - #### HINDI_NUMBER_PARENTHESIS_RIGHT

          public static final AutonumberScheme HINDI_NUMBER_PARENTHESIS_RIGHT

    - #### HINDI_NUMBER_PERIOD

          public static final AutonumberScheme HINDI_NUMBER_PERIOD

    - #### ROMAN_LOWERCASE_PARENTHESES_BOTH

          public static final AutonumberScheme ROMAN_LOWERCASE_PARENTHESES_BOTH

    - #### ROMAN_LOWERCASE_PARENTHESIS_RIGHT

          public static final AutonumberScheme ROMAN_LOWERCASE_PARENTHESIS_RIGHT

    - #### ROMAN_LOWERCASE_PERIOD

          public static final AutonumberScheme ROMAN_LOWERCASE_PERIOD

    - #### ROMAN_UPPERCASE_PARENTHESES_BOTH

          public static final AutonumberScheme ROMAN_UPPERCASE_PARENTHESES_BOTH

    - #### ROMAN_UPPERCASE_PARENTHESIS_RIGHT

          public static final AutonumberScheme ROMAN_UPPERCASE_PARENTHESIS_RIGHT

    - #### ROMAN_UPPERCASE_PERIOD

          public static final AutonumberScheme ROMAN_UPPERCASE_PERIOD

    - #### THAI_ALPHABETIC_PARENTHESES_BOTH

          public static final AutonumberScheme THAI_ALPHABETIC_PARENTHESES_BOTH

    - #### THAI_ALPHABETIC_PARENTHESIS_RIGHT

          public static final AutonumberScheme THAI_ALPHABETIC_PARENTHESIS_RIGHT

    - #### THAI_ALPHABETIC_PERIOD

          public static final AutonumberScheme THAI_ALPHABETIC_PERIOD

    - #### THAI_NUMBER_PARENTHESES_BOTH

          public static final AutonumberScheme THAI_NUMBER_PARENTHESES_BOTH

    - #### THAI_NUMBER_PARENTHESIS_RIGHT

          public static final AutonumberScheme THAI_NUMBER_PARENTHESIS_RIGHT

    - #### THAI_NUMBER_PERIOD

          public static final AutonumberScheme THAI_NUMBER_PERIOD

  - ### Method Detail

    - #### values

          public static AutonumberScheme[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutonumberScheme c : AutonumberScheme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutonumberScheme valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.